org.omg.CORBA

## Interface DynAny

- All Superinterfaces:
    Object
  All Known Subinterfaces:
    DynArray, DynEnum, DynFixed, DynSequence, DynStruct, DynUnion, DynValue

  Deprecated.
  Use the new DynAny instead

      @Deprecated
      public interface DynAny
      extends Object

  Enables `org.omg.CORBA.Any` values to be dynamically interpreted (traversed) and constructed. A `DynAny` object is associated with a data value which may correspond to a copy of the value inserted into an `Any`. The `DynAny` APIs enable traversal of the data value associated with an Any at runtime and extraction of the primitive constituents of the data value.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `assign(DynAny dyn_any)` | Deprecated. Copy the contents from one Dynamic Any into another.
    `DynAny` | `copy()` | Deprecated. Clones this `DynAny` object.
    `DynAny` | `current_component()` | Deprecated. Returns a `DynAny` object reference that can be used to get/set the value of the component currently accessed.
    `void` | `destroy()` | Deprecated. Destroys this `DynAny` object and frees any resources used to represent the data value associated with it.
    `void` | `from_any(Any value)` | Deprecated. Make a `DynAny` object from an `Any` object.
    `Any` | `get_any()` | Deprecated. Retrieves the `org.omg.CORBA.Any` contained in this `DynAny` object.
    `boolean` | `get_boolean()` | Deprecated. Retrieves the `boolean` contained in this `DynAny` object.
    `char` | `get_char()` | Deprecated. Retrieves the `char` contained in this `DynAny` object.
    `double` | `get_double()` | Deprecated. Retrieves the `double` contained in this `DynAny` object.
    `float` | `get_float()` | Deprecated. Retrieves the `float` contained in this `DynAny` object.
    `int` | `get_long()` | Deprecated. Retrieves the `int` contained in this `DynAny` object.
    `long` | `get_longlong()` | Deprecated. Retrieves the `long` contained in this `DynAny` object.
    `byte` | `get_octet()` | Deprecated. Retrieves the `byte` contained in this `DynAny` object.
    `Object` | `get_reference()` | Deprecated. Retrieves the `org.omg.CORBA.Other` contained in this `DynAny` object.
    `short` | `get_short()` | Deprecated. Retrieves the `short` contained in this `DynAny` object.
    `String` | `get_string()` | Deprecated. Retrieves the `String` contained in this `DynAny` object.
    `TypeCode` | `get_typecode()` | Deprecated. Retrieves the `org.omg.CORBA.TypeCode` contained in this `DynAny` object.
    `int` | `get_ulong()` | Deprecated. Retrieves the `int` contained in this `DynAny` object.
    `long` | `get_ulonglong()` | Deprecated. Retrieves the `long` contained in this `DynAny` object.
    `short` | `get_ushort()` | Deprecated. Retrieves the `short` contained in this `DynAny` object.
    `Serializable` | `get_val()` | Deprecated. Retrieves the `java.io.Serializable` object contained in this `DynAny` object.
    `char` | `get_wchar()` | Deprecated. Retrieves the `char` contained in this `DynAny` object.
    `String` | `get_wstring()` | Deprecated. Retrieves the `String` contained in this `DynAny` object.
    `void` | `insert_any(Any value)` | Deprecated. Inserts the given `org.omg.CORBA.Any` object as the value for this `DynAny` object.
    `void` | `insert_boolean(boolean value)` | Deprecated. Inserts the given `boolean` as the value for this `DynAny` object.
    `void` | `insert_char(char value)` | Deprecated. Inserts the given `char` as the value for this `DynAny` object.
    `void` | `insert_double(double value)` | Deprecated. Inserts the given `double` as the value for this `DynAny` object.
    `void` | `insert_float(float value)` | Deprecated. Inserts the given `float` as the value for this `DynAny` object.
    `void` | `insert_long(int value)` | Deprecated. Inserts the given `int` as the value for this `DynAny` object.
    `void` | `insert_longlong(long value)` | Deprecated. Inserts the given `long` as the value for this `DynAny` object.
    `void` | `insert_octet(byte value)` | Deprecated. Inserts the given `byte` as the value for this `DynAny` object.
    `void` | `insert_reference(Object value)` | Deprecated. Inserts the given `org.omg.CORBA.Object` as the value for this `DynAny` object.
    `void` | `insert_short(short value)` | Deprecated. Inserts the given `short` as the value for this `DynAny` object.
    `void` | `insert_string(String value)` | Deprecated. Inserts the given `String` object as the value for this `DynAny` object.
    `void` | `insert_typecode(TypeCode value)` | Deprecated. Inserts the given `org.omg.CORBA.TypeCode` as the value for this `DynAny` object.
    `void` | `insert_ulong(int value)` | Deprecated. Inserts the given `int` as the value for this `DynAny` object.
    `void` | `insert_ulonglong(long value)` | Deprecated. Inserts the given `long` as the value for this `DynAny` object.
    `void` | `insert_ushort(short value)` | Deprecated. Inserts the given `short` as the value for this `DynAny` object.
    `void` | `insert_val(Serializable value)` | Deprecated. Inserts the given `java.io.Serializable` object as the value for this `DynAny` object.
    `void` | `insert_wchar(char value)` | Deprecated. Inserts the given `char` as the value for this `DynAny` object.
    `void` | `insert_wstring(String value)` | Deprecated. Inserts the given `String` as the value for this `DynAny` object.
    `boolean` | `next()` | Deprecated. Moves to the next component of this `DynAny` object.
    `void` | `rewind()` | Deprecated. Moves the internal pointer to the first component.
    `boolean` | `seek(int index)` | Deprecated. Moves the internal pointer to the given index.
    `Any` | `to_any()` | Deprecated. Convert a `DynAny` object to an `Any` object.
    `TypeCode` | `type()` | Deprecated. Returns the `TypeCode` of the object inserted into this `DynAny`.

    - ### Methods inherited from interface org.omg.CORBA.Object

      `_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

- - ### Method Detail

    - #### type

          TypeCode type()

      Deprecated.
      Returns the `TypeCode` of the object inserted into this `DynAny`.
      Returns:
        the `TypeCode` object.

    - #### assign

          void assign(DynAny dyn_any)
               throws Invalid

      Deprecated.
      Copy the contents from one Dynamic Any into another.
      Parameters:
        `dyn_any` - the `DynAny` object whose contents are assigned to this `DynAny`.
      Throws:
        `Invalid` - if the source `DynAny` is invalid

    - #### from_any

          void from_any(Any value)
                 throws Invalid

      Deprecated.
      Make a `DynAny` object from an `Any` object.
      Parameters:
        `value` - the `Any` object.
      Throws:
        `Invalid` - if the source `Any` object is empty or bad

    - #### to_any

          Any to_any()
              throws Invalid

      Deprecated.
      Convert a `DynAny` object to an `Any` object.
      Returns:
        the `Any` object.
      Throws:
        `Invalid` - if this `DynAny` is empty or bad. created or does not contain a meaningful value

    - #### destroy

          void destroy()

      Deprecated.
      Destroys this `DynAny` object and frees any resources used to represent the data value associated with it. This method also destroys all `DynAny` objects obtained from it.

      Destruction of `DynAny` objects should be handled with care, taking into account issues dealing with the representation of data values associated with `DynAny` objects. A programmer who wants to destroy a `DynAny` object but still be able to manipulate some component of the data value associated with it, should first create a `DynAny` object for the component and then make a copy of the created `DynAny` object.

    - #### copy

          DynAny copy()

      Deprecated.
      Clones this `DynAny` object.
      Returns:
        a copy of this `DynAny` object

    - #### insert_boolean

          void insert_boolean(boolean value)
                       throws InvalidValue

      Deprecated.
      Inserts the given `boolean` as the value for this `DynAny` object.

      If this method is called on a constructed `DynAny` object, it initializes the next component of the constructed data value associated with this `DynAny` object.

      Parameters:
        `value` - the `boolean` to insert into this `DynAny` object
      Throws:
        `InvalidValue` - if the value inserted is not consistent with the type of the accessed component in this `DynAny` object

    - #### insert_octet

          void insert_octet(byte value)
                     throws InvalidValue

      Deprecated.
      Inserts the given `byte` as the value for this `DynAny` object.

      If this method is called on a constructed `DynAny` object, it initializes the next component of the constructed data value associated with this `DynAny` object.

      Parameters:
        `value` - the `byte` to insert into this `DynAny` object
      Throws:
        `InvalidValue` - if the value inserted is not consistent with the type of the accessed component in this `DynAny` object

    - #### insert_char

          void insert_char(char value)
                    throws InvalidValue

      Deprecated.
      Inserts the given `char` as the value for this `DynAny` object.

      If this method is called on a constructed `DynAny` object, it initializes the next component of the constructed data value associated with this `DynAny` object.

      Parameters:
        `value` - the `char` to insert into this `DynAny` object
      Throws:
        `InvalidValue` - if the value inserted is not consistent with the type of the accessed component in this `DynAny` object

    - #### insert_short

          void insert_short(short value)
                     throws InvalidValue

      Deprecated.
      Inserts the given `short` as the value for this `DynAny` object.

      If this method is called on a constructed `DynAny` object, it initializes the next component of the constructed data value associated with this `DynAny` object.

      Parameters:
        `value` - the `short` to insert into this `DynAny` object
      Throws:
        `InvalidValue` - if the value inserted is not consistent with the type of the accessed component in this `DynAny` object

    - #### insert_ushort

          void insert_ushort(short value)
                      throws InvalidValue

      Deprecated.
      Inserts the given `short` as the value for this `DynAny` object.

      If this method is called on a constructed `DynAny` object, it initializes the next component of the constructed data value associated with this `DynAny` object.

      Parameters:
        `value` - the `short` to insert into this `DynAny` object
      Throws:
        `InvalidValue` - if the value inserted is not consistent with the type of the accessed component in this `DynAny` object

    - #### insert_long

          void insert_long(int value)
                    throws InvalidValue

      Deprecated.
      Inserts the given `int` as the value for this `DynAny` object.

      If this method is called on a constructed `DynAny` object, it initializes the next component of the constructed data value associated with this `DynAny` object.

      Parameters:
        `value` - the `int` to insert into this `DynAny` object
      Throws:
        `InvalidValue` - if the value inserted is not consistent with the type of the accessed component in this `DynAny` object

    - #### insert_ulong

          void insert_ulong(int value)
                     throws InvalidValue

      Deprecated.
      Inserts the given `int` as the value for this `DynAny` object.

      If this method is called on a constructed `DynAny` object, it initializes the next component of the constructed data value associated with this `DynAny` object.

      Parameters:
        `value` - the `int` to insert into this `DynAny` object
      Throws:
        `InvalidValue` - if the value inserted is not consistent with the type of the accessed component in this `DynAny` object

    - #### insert_float

          void insert_float(float value)
                     throws InvalidValue

      Deprecated.
      Inserts the given `float` as the value for this `DynAny` object.

      If this method is called on a constructed `DynAny` object, it initializes the next component of the constructed data value associated with this `DynAny` object.

      Parameters:
        `value` - the `float` to insert into this `DynAny` object
      Throws:
        `InvalidValue` - if the value inserted is not consistent with the type of the accessed component in this `DynAny` object

    - #### insert_double

          void insert_double(double value)
                      throws InvalidValue

      Deprecated.
      Inserts the given `double` as the value for this `DynAny` object.

      If this method is called on a constructed `DynAny` object, it initializes the next component of the constructed data value associated with this `DynAny` object.

      Parameters:
        `value` - the `double` to insert into this `DynAny` object
      Throws:
        `InvalidValue` - if the value inserted is not consistent with the type of the accessed component in this `DynAny` object

    - #### insert_string

          void insert_string(String value)
                      throws InvalidValue

      Deprecated.
      Inserts the given `String` object as the value for this `DynAny` object.

      If this method is called on a constructed `DynAny` object, it initializes the next component of the constructed data value associated with this `DynAny` object.

      Parameters:
        `value` - the `String` to insert into this `DynAny` object
      Throws:
        `InvalidValue` - if the value inserted is not consistent with the type of the accessed component in this `DynAny` object

    - #### insert_reference

          void insert_reference(Object value)
                         throws InvalidValue

      Deprecated.
      Inserts the given `org.omg.CORBA.Object` as the value for this `DynAny` object.

      If this method is called on a constructed `DynAny` object, it initializes the next component of the constructed data value associated with this `DynAny` object.

      Parameters:
        `value` - the `org.omg.CORBA.Object` to insert into this `DynAny` object
      Throws:
        `InvalidValue` - if the value inserted is not consistent with the type of the accessed component in this `DynAny` object

    - #### insert_typecode

          void insert_typecode(TypeCode value)
                        throws InvalidValue

      Deprecated.
      Inserts the given `org.omg.CORBA.TypeCode` as the value for this `DynAny` object.

      If this method is called on a constructed `DynAny` object, it initializes the next component of the constructed data value associated with this `DynAny` object.

      Parameters:
        `value` - the `org.omg.CORBA.TypeCode` to insert into this `DynAny` object
      Throws:
        `InvalidValue` - if the value inserted is not consistent with the type of the accessed component in this `DynAny` object

    - #### insert_longlong

          void insert_longlong(long value)
                        throws InvalidValue

      Deprecated.
      Inserts the given `long` as the value for this `DynAny` object.

      If this method is called on a constructed `DynAny` object, it initializes the next component of the constructed data value associated with this `DynAny` object.

      Parameters:
        `value` - the `long` to insert into this `DynAny` object
      Throws:
        `InvalidValue` - if the value inserted is not consistent with the type of the accessed component in this `DynAny` object

    - #### insert_ulonglong

          void insert_ulonglong(long value)
                         throws InvalidValue

      Deprecated.
      Inserts the given `long` as the value for this `DynAny` object.

      If this method is called on a constructed `DynAny` object, it initializes the next component of the constructed data value associated with this `DynAny` object.

      Parameters:
        `value` - the `long` to insert into this `DynAny` object
      Throws:
        `InvalidValue` - if the value inserted is not consistent with the type of the accessed component in this `DynAny` object

    - #### insert_wchar

          void insert_wchar(char value)
                     throws InvalidValue

      Deprecated.
      Inserts the given `char` as the value for this `DynAny` object.

      If this method is called on a constructed `DynAny` object, it initializes the next component of the constructed data value associated with this `DynAny` object.

      Parameters:
        `value` - the `char` to insert into this `DynAny` object
      Throws:
        `InvalidValue` - if the value inserted is not consistent with the type of the accessed component in this `DynAny` object

    - #### insert_wstring

          void insert_wstring(String value)
                       throws InvalidValue

      Deprecated.
      Inserts the given `String` as the value for this `DynAny` object.

      If this method is called on a constructed `DynAny` object, it initializes the next component of the constructed data value associated with this `DynAny` object.

      Parameters:
        `value` - the `String` to insert into this `DynAny` object
      Throws:
        `InvalidValue` - if the value inserted is not consistent with the type of the accessed component in this `DynAny` object

    - #### insert_any

          void insert_any(Any value)
                   throws InvalidValue

      Deprecated.
      Inserts the given `org.omg.CORBA.Any` object as the value for this `DynAny` object.

      If this method is called on a constructed `DynAny` object, it initializes the next component of the constructed data value associated with this `DynAny` object.

      Parameters:
        `value` - the `org.omg.CORBA.Any` object to insert into this `DynAny` object
      Throws:
        `InvalidValue` - if the value inserted is not consistent with the type of the accessed component in this `DynAny` object

    - #### insert_val

          void insert_val(Serializable value)
                   throws InvalidValue

      Deprecated.
      Inserts the given `java.io.Serializable` object as the value for this `DynAny` object.

      If this method is called on a constructed `DynAny` object, it initializes the next component of the constructed data value associated with this `DynAny` object.

      Parameters:
        `value` - the `java.io.Serializable` object to insert into this `DynAny` object
      Throws:
        `InvalidValue` - if the value inserted is not consistent with the type of the accessed component in this `DynAny` object

    - #### get_val

          Serializable get_val()
                        throws TypeMismatch

      Deprecated.
      Retrieves the `java.io.Serializable` object contained in this `DynAny` object.
      Returns:
        the `java.io.Serializable` object that is the value for this `DynAny` object
      Throws:
        `TypeMismatch` - if the type code of the accessed component in this `DynAny` object is not equivalent to the type code for a `java.io.Serializable` object

    - #### get_boolean

          boolean get_boolean()
                       throws TypeMismatch

      Deprecated.
      Retrieves the `boolean` contained in this `DynAny` object.
      Returns:
        the `boolean` that is the value for this `DynAny` object
      Throws:
        `TypeMismatch` - if the type code of the accessed component in this `DynAny` object is not equivalent to the type code for a `boolean`

    - #### get_octet

          byte get_octet()
                  throws TypeMismatch

      Deprecated.
      Retrieves the `byte` contained in this `DynAny` object.
      Returns:
        the `byte` that is the value for this `DynAny` object
      Throws:
        `TypeMismatch` - if the type code of the accessed component in this `DynAny` object is not equivalent to the type code for a `byte`

    - #### get_char

          char get_char()
                 throws TypeMismatch

      Deprecated.
      Retrieves the `char` contained in this `DynAny` object.
      Returns:
        the `char` that is the value for this `DynAny` object
      Throws:
        `TypeMismatch` - if the type code of the accessed component in this `DynAny` object is not equivalent to the type code for a `char`

    - #### get_short

          short get_short()
                   throws TypeMismatch

      Deprecated.
      Retrieves the `short` contained in this `DynAny` object.
      Returns:
        the `short` that is the value for this `DynAny` object
      Throws:
        `TypeMismatch` - if the type code of the accessed component in this `DynAny` object is not equivalent to the type code for a `short`

    - #### get_ushort

          short get_ushort()
                    throws TypeMismatch

      Deprecated.
      Retrieves the `short` contained in this `DynAny` object.
      Returns:
        the `short` that is the value for this `DynAny` object
      Throws:
        `TypeMismatch` - if the type code of the accessed component in this `DynAny` object is not equivalent to the type code for a `short`

    - #### get_long

          int get_long()
                throws TypeMismatch

      Deprecated.
      Retrieves the `int` contained in this `DynAny` object.
      Returns:
        the `int` that is the value for this `DynAny` object
      Throws:
        `TypeMismatch` - if the type code of the accessed component in this `DynAny` object is not equivalent to the type code for a `int`

    - #### get_ulong

          int get_ulong()
                 throws TypeMismatch

      Deprecated.
      Retrieves the `int` contained in this `DynAny` object.
      Returns:
        the `int` that is the value for this `DynAny` object
      Throws:
        `TypeMismatch` - if the type code of the accessed component in this `DynAny` object is not equivalent to the type code for a `int`

    - #### get_float

          float get_float()
                   throws TypeMismatch

      Deprecated.
      Retrieves the `float` contained in this `DynAny` object.
      Returns:
        the `float` that is the value for this `DynAny` object
      Throws:
        `TypeMismatch` - if the type code of the accessed component in this `DynAny` object is not equivalent to the type code for a `float`

    - #### get_double

          double get_double()
                     throws TypeMismatch

      Deprecated.
      Retrieves the `double` contained in this `DynAny` object.
      Returns:
        the `double` that is the value for this `DynAny` object
      Throws:
        `TypeMismatch` - if the type code of the accessed component in this `DynAny` object is not equivalent to the type code for a `double`

    - #### get_string

          String get_string()
                     throws TypeMismatch

      Deprecated.
      Retrieves the `String` contained in this `DynAny` object.
      Returns:
        the `String` that is the value for this `DynAny` object
      Throws:
        `TypeMismatch` - if the type code of the accessed component in this `DynAny` object is not equivalent to the type code for a `String`

    - #### get_reference

          Object get_reference()
                        throws TypeMismatch

      Deprecated.
      Retrieves the `org.omg.CORBA.Other` contained in this `DynAny` object.
      Returns:
        the `org.omg.CORBA.Other` that is the value for this `DynAny` object
      Throws:
        `TypeMismatch` - if the type code of the accessed component in this `DynAny` object is not equivalent to the type code for an `org.omg.CORBA.Other`

    - #### get_typecode

          TypeCode get_typecode()
                         throws TypeMismatch

      Deprecated.
      Retrieves the `org.omg.CORBA.TypeCode` contained in this `DynAny` object.
      Returns:
        the `org.omg.CORBA.TypeCode` that is the value for this `DynAny` object
      Throws:
        `TypeMismatch` - if the type code of the accessed component in this `DynAny` object is not equivalent to the type code for a `org.omg.CORBA.TypeCode`

    - #### get_longlong

          long get_longlong()
                     throws TypeMismatch

      Deprecated.
      Retrieves the `long` contained in this `DynAny` object.
      Returns:
        the `long` that is the value for this `DynAny` object
      Throws:
        `TypeMismatch` - if the type code of the accessed component in this `DynAny` object is not equivalent to the type code for a `long`

    - #### get_ulonglong

          long get_ulonglong()
                      throws TypeMismatch

      Deprecated.
      Retrieves the `long` contained in this `DynAny` object.
      Returns:
        the `long` that is the value for this `DynAny` object
      Throws:
        `TypeMismatch` - if the type code of the accessed component in this `DynAny` object is not equivalent to the type code for a `long`

    - #### get_wchar

          char get_wchar()
                  throws TypeMismatch

      Deprecated.
      Retrieves the `char` contained in this `DynAny` object.
      Returns:
        the `char` that is the value for this `DynAny` object
      Throws:
        `TypeMismatch` - if the type code of the accessed component in this `DynAny` object is not equivalent to the type code for a `char`

    - #### get_wstring

          String get_wstring()
                      throws TypeMismatch

      Deprecated.
      Retrieves the `String` contained in this `DynAny` object.
      Returns:
        the `String` that is the value for this `DynAny` object
      Throws:
        `TypeMismatch` - if the type code of the accessed component in this `DynAny` object is not equivalent to the type code for a `String`

    - #### get_any

          Any get_any()
               throws TypeMismatch

      Deprecated.
      Retrieves the `org.omg.CORBA.Any` contained in this `DynAny` object.
      Returns:
        the `org.omg.CORBA.Any` that is the value for this `DynAny` object
      Throws:
        `TypeMismatch` - if the type code of the accessed component in this `DynAny` object is not equivalent to the type code for an `org.omg.CORBA.Any`

    - #### current_component

          DynAny current_component()

      Deprecated.
      Returns a `DynAny` object reference that can be used to get/set the value of the component currently accessed. The appropriate `insert` method can be called on the resulting `DynAny` object to initialize the component. The appropriate `get` method can be called on the resulting `DynAny` object to extract the value of the component.
      Returns:
        a `DynAny` object reference that can be used to retrieve or set the value of the component currently accessed

    - #### next

          boolean next()

      Deprecated.
      Moves to the next component of this `DynAny` object. This method is used for iterating through the components of a constructed type, effectively moving a pointer from one component to the next. The pointer starts out on the first component when a `DynAny` object is created.
      Returns:
        `true` if the pointer points to a component; `false` if there are no more components or this `DynAny` is associated with a basic type rather than a constructed type

    - #### seek

          boolean seek(int index)

      Deprecated.
      Moves the internal pointer to the given index. Logically, this method sets a new offset for this pointer.
      Parameters:
        `index` - an `int` indicating the position to which the pointer should move. The first position is 0.
      Returns:
        `true` if the pointer points to a component; `false` if there is no component at the designated index. If this `DynAny` object is associated with a basic type, this method returns `false` for any index other than 0.

    - #### rewind

          void rewind()

      Deprecated.
      Moves the internal pointer to the first component.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.